| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.FloatVector Class Reference

Helper type for accessing vector of float values. More...

Inheritance diagram for com.google.flatbuffers.FloatVector:

## Detailed Description

Helper type for accessing vector of float values.

## Public Member Functions
FloatVector | __assign (int _vector, ByteBuffer _bb)
| Assigns vector access object to vector data. More...
float | get (int j)
| Reads the float value at the given index. More...

## Member Function Documentation

## ◆ __assign()

FloatVector com.google.flatbuffers.FloatVector.__assign | ( | int | _vector,
|  | ByteBuffer | _bb
| ) |  |
| inline

Assigns vector access object to vector data.

Parameters

  _vector | Start data of a vector.
  _bb | Table's ByteBuffer.

Returns
  Returns current vector access object assigned to vector data whose offset is stored at `vector`.

## ◆ get()

float com.google.flatbuffers.FloatVector.get | ( | int | j | ) |
| inline

Reads the float value at the given index.

Parameters

  j | The index from which the float value will be read.

Returns
  the float value at the given index.

The documentation for this class was generated from the following file:

- FloatVector.java